﻿using Dlubal.RFEM5;

namespace Dlubal.Examples.PickTools
{
  [System.Runtime.InteropServices.ComVisibleAttribute(true)]
  public class ExternalCommand : IExternalCommand
  {
    #region IExternalCommand

    void IExternalCommand.Execute(object pModel, string parameters)
    {
      // Locking RF-COM license is not required because it is automatically locked by RFEM.
      //pModel.GetApplication().LockLicense();

      MainForm form = new MainForm(pModel as IModel);
      form.ShowDialog();
      form = null;

      // Releases all used interfaces.
      System.GC.Collect();
      System.GC.WaitForPendingFinalizers();
      System.GC.Collect();

      // Unlocking RF-COM license is not required because it is automatically unlocked by RFEM.
      //pModel.GetApplication().UnlockLicense();
    }

    #endregion
  }
}
