﻿using System;
using System.Windows.Forms;
using Dlubal.RFEM5;

namespace Dlubal.Examples.PickTools
{
  public partial class MainForm : Form
  {
    private IModel Model;

    public MainForm(IModel model)
    {
      InitializeComponent();

      Model = model;

      comboToolType.SelectedIndex = 0;
    }

    private void btnPickObjects_Click(object sender, EventArgs e)
    {
      if (Model != null)
      {
        IView view = Model.GetActiveView();

        string objects = textPickedObjects.Text;
        Opacity = 0;
        view.PickObjects((ToolType)comboToolType.SelectedIndex, ref objects);
        Opacity = 100;
        textPickedObjects.Text = objects;
      }
    }
  }
}
