﻿using System;
using Dlubal.RFEM5;
using Dlubal.RSTAB8;
using System.Windows.Forms;

namespace Dlubal.Examples.Tendon
{
  [System.Runtime.InteropServices.ComVisibleAttribute(true)]
  public class ExternalCommand : RFEM5.IExternalCommand, RSTAB8.IExternalCommand
  {
    #region IExternalCommand

    void RFEM5.IExternalCommand.Execute(object model, string parameters)
    {
      // Locking RF-COM license is not required because it is automatically locked by RFEM
      //model.GetApplication().LockLicense();

      MainForm form = new MainForm(model, parameters);
      form.ShowDialog();

      // Unlocking RF-COM license is not required because it is automatically unlocked by RFEM
      //model.GetApplication().UnlockLicense();

      System.GC.Collect();
      System.GC.WaitForPendingFinalizers();
    }
    void RSTAB8.IExternalCommand.Execute(object model, string parameters)
    {
      // Locking RF-COM license is not required because it is automatically locked by RFEM
      //model.GetApplication().LockLicense();

      MainForm form = new MainForm(model, parameters);
      form.ShowDialog();

      // Unlocking RF-COM license is not required because it is automatically unlocked by RFEM
      //model.GetApplication().UnlockLicense();

      System.GC.Collect();
      System.GC.WaitForPendingFinalizers();
    }

    #endregion
  }
}
